/*
Theme Name: gp_privatklinik_child
Version: 1.0
Description: A child theme of GeneratePress
Template: generatepress
Author: Lucas Freund // Lars Heidenreich
*/

/* Your awesome customization starts here */

/* open-sans-300 - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 300;

  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300.svg#OpenSans') format('svg'); /* Legacy iOS */
font-display: swap;
}

/* open-sans-regular - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
font-display: swap;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-regular.svg#OpenSans') format('svg'); /* Legacy iOS */

}

/* open-sans-300italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 300;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-300italic.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 400;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-italic.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-600 - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-700 - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-600italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 600;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-600italic.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-700italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 700;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-700italic.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-800 - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 800;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800.svg#OpenSans') format('svg'); /* Legacy iOS */
  font-display: swap;
}

/* open-sans-800italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-display: swap;
font-style: italic;
  font-weight: 800;
  src: url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.eot'); /* IE9 Compat Modes */
  src: local('Open Sans'),
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.woff') format('woff'), /* Modern Browsers */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('/wp-content/uploads/2021/07/open-sans-v20-latin-800italic.svg#OpenSans') format('svg'); /* Legacy iOS */

}

.admin-bar > header {  
    margin-top: 32px;  
}

img.header-image.is-logo-image{
	height: 120px;
	width: auto;
	position: absolute;
	top: 0;
	left: 25px;
	z-index: 999;
}


.main-navigation .main-nav ul li a {
  transition: color 300ms ease;
	text-transform: uppercase;
}

/*  N A V I  übernommen aus Costomizer-CSS */

ul.sub-menu li a {
	text-transform: none !important;
}

.dropdown-menu-toggle {
	padding-left: 5px !important;
}


/* LH CSS */

@media only screen and (min-width: 1401px) {
	
/*  N A V I  übernommen aus Costomizer-CSS */
	#menu-hauptnavigation-de ul.sub-menu ul,
	#menu-hauptnavigation-en ul.sub-menu ul {
		z-index: -1;
	}

	.main-navigation .main-nav ul li a {
		transition: all 345ms ease-out;
	}
/*  N A V I  E N D E  übernommen aus Costomizer-CSS */

	.site-header {
		position: fixed !important;
		top: 0 !important;
		right: 0 !important;
		left: 0 !important;
		z-index: 999999;
	}

	.inside-header {
		padding: 0px !important;
	}

	.grid-container {
		max-width: 9999px !important;
	}

	.nav-float-right #site-navigation {
		margin-left: 0 !important;
		width: 100%;
	}

	.main-navigation .inside-navigation {
		justify-content: flex-end;
	}

	.fl-item > a {
		font-size: 23px !important;
	}
	
	.sl-title > a {
		font-size: 19px !important;
	}

	.main-nav {
		width 100%;
		padding-right: 50px;
		padding-left: 299px;
	}

	.mm-dd > ul {
		padding: 0 2% !important;
	}

	.mm-item {
		width: 33.33333333% !important;
		padding: 40px 1.5% 50px !important;
	}
	
	.mm-item > a {
		border-bottom: 2px solid rgba(255, 255, 255, .35);
	}
	
	.mm-item > ul li {
		border-bottom: 1px solid rgba(255, 255, 255, .13);
		transition: border-bottom 435ms ease-out;
	}
	
	.mm-item > ul li:hover {
		border-bottom: 1px solid rgba(255, 255, 255, 0);
	}

	.mm-list ul li a {
		background-color: rgba(255, 255, 255, 0);
		font-size: 18px !important;
		transition: background-color 345ms ease-out !important;
    }

	.mm-list ul li:hover a {
		background-color: rgba(255, 255, 255, .1) !important;
    }
	
	.mm-item > ul li:last-child {
		border-bottom: none;
	}
	
	/* Dropdowns ausserhalb des MegaMenus */

	.sub-list > ul {
		width: max-content !important;
		padding: 20px 30px 30px 30px !important;
	}
	
	.sub-list > ul li {
		border-bottom: 1px solid rgba(255, 255, 255, .13);
	}
	
	.sub-list > ul li a {
		background-color: rgba(255, 255, 255, 0);
		font-size: 18px !important;
		transition: background-color 345ms ease-out !important;
    }
	
	.sub-list > ul li:hover {
		border-bottom: 1px solid rgba(255, 255, 255, 0);
	}
	
	.sub-list > ul li:hover a {
		background-color: rgba(255, 255, 255, .1) !important;
    }
	
	.sub-list > ul li:last-child {
		border-bottom: none;
	}



/* MEGA MENÜ Original - CSS */



    nav .main-nav .mega-menu {
        position: static;
    }

    nav .main-nav .mega-menu > ul {
        position: absolute;
        width: 100%;
        left: 0 !important;
        display: flex;
        flex-wrap: wrap;
    }

    nav .main-nav .mega-menu > ul > li > a {
        font-weight: bold;
    }

    nav .main-nav .mega-menu > ul > li {
        display: inline-block;
        width: 25%;
        vertical-align: top;
    }

    nav .main-nav .mega-menu > ul > li:focus > a,
    nav .main-nav .mega-menu > ul > li[class*="current-"] > a,
    nav .main-nav .mega-menu ul ul {
        background-color: transparent !important;
        color: inherit;
    }

    nav .main-nav .mega-menu ul .sub-menu {
        position: static;
        display: block;
        opacity: 1;
        visibility: visible;
        width: 100%;
        box-shadow: 0 0 0;
        left: 0;
        height: auto;
        pointer-events: auto;
        transform: scale(1);
    }

    nav .main-nav .mega-menu ul.toggled-on .sub-menu {
        pointer-events: auto;
    }

    nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
        display: none;
    }
}


/* MOBILE NAV */

@media only screen and (max-width: 479px) {
   
	.inside-header {
		padding: 0 !important
	}

	.main-navigation .main-nav ul ul li a {
		font-size: 13px !important;
	}
	

	
	.main-navigation ul ul {
		background-color: transparent !important;
	}
	
	.main-navigation.toggled .main-nav ul ul {
		border-bottom: none;
		margin-bottom: 25px;
	}
	
	.sf-menu > li:nth-child(odd) {
		background-color: rgba(255, 255, 255, .05);
	}
	
	.main-navigation.toggled .main-nav ul ul.toggled-on {
		width: 98%;
	}
	
	.mm-item {
		border-bottom: 1px solid rgba(255, 255, 255, .35) !important;
	}
	
	.mm-item > a {
		font-weight: 600;
	}
	
	.mm-item:last-child {
		border-bottom: none !important;
	}
	
	.mm-item > .sub-menu li,
	.fl-item .sub-menu li {
		border-bottom: 1px solid rgba(255, 255, 255, .2);
	}
	
	.mm-item > .sub-menu li:last-child,
	.main-navigation.toggled .main-nav li:last-child {
		border-bottom: none;
	}
	
	.main-navigation .main-nav ul ul li:not([class*="current-menu-"]):hover > a,
	.main-navigation .main-nav ul ul li.sfHover:not([class*="current-menu-"]) > a {
		color: var(--base-3);
		background-color: transparent !important;
	}
	
	ul.sub-menu li ul.sub-menu {
		padding-left: 10px !important;
	}
	
	.main-navigation ul ul {
		background-color: rgba(84,168,160,0);
	}
   
}


@media only screen and (min-width: 480px) and (max-width: 1400px) {
	
	.has-inline-mobile-toggle #site-navigation.toggled {
    	margin-top: 51px !important;
	}
	
	.main-navigation ul ul {
		background-color: transparent !important;
	}
	
	.main-navigation.toggled .main-nav ul ul {
		border-bottom: none;
		margin-bottom: 25px;
	}
	
	.sf-menu > li:nth-child(odd) {
		background-color: rgba(255, 255, 255, .05);
	}
	
	.main-navigation.toggled .main-nav ul ul.toggled-on {
		width: 98%;
	}
	
	.mm-item {
		border-bottom: 1px solid rgba(255, 255, 255, .35) !important;
	}
	
	.mm-item > a {
		font-weight: 600;
	}
	
	.mm-item:last-child {
		border-bottom: none !important;
	}
	
	.mm-item > .sub-menu li,
	.fl-item .sub-menu li {
		border-bottom: 1px solid rgba(255, 255, 255, .2);
	}
	
	.mm-item > .sub-menu li:last-child,
	.main-navigation.toggled .main-nav li:last-child {
		border-bottom: none;
	}
	
	.main-navigation .main-nav ul ul li:not([class*="current-menu-"]):hover > a,
	.main-navigation .main-nav ul ul li.sfHover:not([class*="current-menu-"]) > a {
		color: var(--base-3);
		background-color: transparent !important;
	}
	
	.sub-menu {
		padding-left: 15px !important;
	}
	
	.main-navigation ul ul {
		background-color: rgba(84,168,160,0);
	}
	
}

